//
// Abstract superclass for object that initializes worm epidemic model
//
// @author Michael Liljenstam, ISTS, Dartmouth College
//
// $Id: WormEpidemicInitializer.java,v 1.2 2003/03/01 21:16:07 mili Exp $

package SSF.App.Worm;

import java.util.*;

/**
 *  Abstract base class for initialization code for the epidemic model.
 *  Perform custom initalization by implementing a subclass that initializes 
 *  according to the desired distributions.
 */
public abstract class WormEpidemicInitializer {

    abstract public void doInit();
}
